typedef struct vaga{
	int d;
	int u;
}Vaga;

#include<stdio.h>
int main(){
	int n,m;
	scanf("%d %d",&n,&m);
	Vaga v[100];
	for(int i=1;i<=n;i++){
		scanf("%d %d", &v[i].d,&v[i].u);
	}
	int l,r,x,k[m];
	for(int i=1;i<=m;i++){
		k[i]=0;
		scanf("%d %d %d", &l, &r, &x);
		while(l<=r){
			if(x >= v[l].d && x <= v[l].u)k[i]++;
			l++;
		}
	}
	for(int i=1;i<=m;i++){
		printf("%d\n", k[i]);
	}
	return 0;
}